# Generated by Django 3.1.7 on 2021-04-08 13:13

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('waze', '0002_auto_20210406_1828'),
    ]

    operations = [
        migrations.CreateModel(
            name='Jam',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('waze_uuid', models.UUIDField()),
                ('blocking_alert_uuid', models.UUIDField()),
                ('polygon_slug', models.CharField(max_length=100)),
                ('reported_at', models.DateTimeField()),
                ('country', models.CharField(max_length=100)),
                ('city', models.CharField(max_length=100)),
                ('street', models.CharField(max_length=100)),
                ('length', models.IntegerField()),
                ('road_type', models.IntegerField()),
                ('start_node', models.CharField(max_length=100)),
                ('end_node', models.CharField(max_length=100)),
                ('turn_type', models.CharField(max_length=100)),
                ('level', models.IntegerField()),
                ('speed_kmh', models.FloatField()),
                ('delay', models.IntegerField()),
                ('type', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='JamLinePoint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('lat', models.FloatField()),
                ('lon', models.FloatField()),
                ('jam', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='waze.jam')),
            ],
        ),
    ]
